---
title: transform-origin
slug: Web/SVG/Attribute/transform-origin
tags:
  - SVG
  - SVG Attribute
---
<p>{{SVGRef()}}</p>

<p>The <strong><code>transform-origin</code></strong> SVG attribute sets the origin for an item’s transformations. </p>

<div class="notecard note">
<p>Note: As a presentation attribute in SVG, <code>transform-origin</code> corresponds in syntax and behavior to the <code>transform-origin</code> property in CSS, and can be used as CSS property to style SVG. See the <a href="/en-US/docs/Web/CSS/transform-origin">CSS transform-origin</a> property for more information. </p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <td><strong>Values</strong></td>
   <td>{{csssyntax("transform-origin")}}</td>
  </tr>
  <tr>
   <td><strong>Default value</strong></td>
   <td><code>0, 0</code></td>
  </tr>
  <tr>
   <td><strong>Animatable</strong></td>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<div class="notecard note">
<p>The default value of <code>transform-origin</code> is <code>0 0</code> for all SVG elements except for root <code>&lt;svg&gt;</code> elements and <code>&lt;svg&gt;</code> elements that are a direct child of a <a href="/en-US/docs/Web/SVG/Element/foreignObject">foreignObject</a>, and whose transform-origin is <code>50% 50%</code>, like other CSS elements.</p>
</div>

<p>The <code>transform-origin</code> property may be specified using one, two, or three values, where each value represents an offset. Offsets that are not explicitly defined are reset to their corresponding <a href="/en-US/docs/Web/CSS/initial_value">initial values</a>.</p>

<p>If a single {{cssxref("&lt;length&gt;")}} or {{cssxref("&lt;percentage&gt;")}} value is defined, it represents the horizontal offset.</p>

<p>If two or more values are defined and either no value is a keyword, or the only used keyword is <code>center</code>, then the first value represents the horizontal offset and the second represents the vertical offset.</p>

<ul>
 <li>One-value syntax:
  <ul>
   <li>The value must be a <a href="/en-US/docs/Web/CSS/length" title="The &lt;length&gt; CSS data type represents a distance value. Lengths can be used in numerous CSS properties, such as width, height, margin, padding, border-width, font-size, and text-shadow."><code>&lt;length&gt;</code></a>, a <a href="/en-US/docs/Web/CSS/percentage" title="The &lt;percentage&gt; CSS data type represents a percentage value. It is often used to define a size as relative to an element's parent object. Numerous properties can use percentages, such as width, height, margin, padding, and font-size."><code>&lt;percentage&gt;</code></a>, or one of the keywords <code>left</code>, <code>center</code>, <code>right</code>, <code>top</code>, and <code>bottom</code>.</li>
  </ul>
 </li>
 <li>Two-value syntax:
  <ul>
   <li>One value must be a <a href="/en-US/docs/Web/CSS/length" title="The &lt;length&gt; CSS data type represents a distance value. Lengths can be used in numerous CSS properties, such as width, height, margin, padding, border-width, font-size, and text-shadow."><code>&lt;length&gt;</code></a>, a <a href="/en-US/docs/Web/CSS/percentage" title="The &lt;percentage&gt; CSS data type represents a percentage value. It is often used to define a size as relative to an element's parent object. Numerous properties can use percentages, such as width, height, margin, padding, and font-size."><code>&lt;percentage&gt;</code></a>, or one of the keywords <code>left</code>, <code>center</code>, and <code>right</code>.</li>
   <li>The other value must be a <a href="/en-US/docs/Web/CSS/length" title="The &lt;length&gt; CSS data type represents a distance value. Lengths can be used in numerous CSS properties, such as width, height, margin, padding, border-width, font-size, and text-shadow."><code>&lt;length&gt;</code></a>, a <a href="/en-US/docs/Web/CSS/percentage" title="The &lt;percentage&gt; CSS data type represents a percentage value. It is often used to define a size as relative to an element's parent object. Numerous properties can use percentages, such as width, height, margin, padding, and font-size."><code>&lt;percentage&gt;</code></a>, or one of the keywords <code>top</code>, <code>center</code>, and <code>bottom</code>.</li>
  </ul>
 </li>
 <li>Three-value syntax:
  <ul>
   <li>The first two values are the same as for the two-value syntax.</li>
   <li>The third value must be a <a href="/en-US/docs/Web/CSS/length" title="The &lt;length&gt; CSS data type represents a distance value. Lengths can be used in numerous CSS properties, such as width, height, margin, padding, border-width, font-size, and text-shadow."><code>&lt;length&gt;</code></a>. It always represents the Z offset.</li>
  </ul>
 </li>
</ul>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <td><strong>Specification</strong></td>
   <td><strong>Status</strong></td>
   <td><strong>Comment</strong></td>
  </tr>
  <tr>
   <td>{{SpecName("CSS3 Transforms", "#transform-origin-property", "transform-origin")}}</td>
   <td>{{Spec2("CSS3 Transforms")}}</td>
   <td></td>
  </tr>
  <tr>
   <td>{{SpecName("SVG2", "styling.html#PresentationAttributes", "transform-origin")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>
